Skip to content
Proud to collaborate with Microsoft for Startups

docusign.workspaces.post-workspace ​

This method creates a new workspace.

Create a Workspace

Overview ​

PropertyValue
Workflow typeAtomic
LibraryApp-docusign
Version1.0

Input Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
billableaccountidstringNo—The ID of the account to bill.
callerinformationjsonNo—This object represents the workspace user. This property is only returned in response to user specific GET call.
createdstringNo—The UTC DateTime when the workspace user authorization was created.
createdbyinformationjsonNo—This object represents the workspace user. This property is only returned in response to user specific GET call.
lastmodifiedstringNo—Utc date and time the comment was last updated (can only be done by creator.)
lastmodifiedbyinformationjsonNo—This object represents the workspace user. This property is only returned in response to user specific GET call.
settingsjsonNo—This object provides information about the settings for the workspace.
statusstringNo—Indicates the envelope status. Valid values are: * sent - The envelope is sent to the recipients. * created - The envelope is saved as a draft and can be modified and sent later.
workspacebaseurlstringNo—The relative URL for accessing the workspace.
workspacedescriptionstringNo—Text describing the purpose of the workspace.
workspaceidstringNo—The ID of the workspace, always populated.
workspacenamestringNo—The name of the workspace.
workspaceuristringNo—The relative URI for accessing the workspace.

Output Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
billableaccountidstringNo—The ID of the account to bill.
callerinformationjsonNo—This object represents the workspace user. This property is only returned in response to user specific GET call.
createdstringNo—The UTC DateTime when the workspace user authorization was created.
createdbyinformationjsonNo—This object represents the workspace user. This property is only returned in response to user specific GET call.
lastmodifiedstringNo—Utc date and time the comment was last updated (can only be done by creator.)
lastmodifiedbyinformationjsonNo—This object represents the workspace user. This property is only returned in response to user specific GET call.
settingsjsonNo—This object provides information about the settings for the workspace.
statusstringNo—Indicates the envelope status. Valid values are: * sent - The envelope is sent to the recipients. * created - The envelope is saved as a draft and can be modified and sent later.
workspacebaseurlstringNo—The relative URL for accessing the workspace.
workspacedescriptionstringNo—Text describing the purpose of the workspace.
workspaceidstringNo—The ID of the workspace, always populated.
workspacenamestringNo—The name of the workspace.
workspaceuristringNo—The relative URI for accessing the workspace.
status_codeintegerNo—HTTP status code of the completed call
responsejsonNo—Parsed JSON response body
failure_reasonstringNo——
failure_typestringNo——
failed_atstringNo——
failed_stepstringNo——
failed_layerstringNo——
failed_at_statestringNo——
errorstringNo——
error_typestringNo——

States ​

StateInitialTerminalSuccessAuto-advanceDescription
pendingYesNo—executeWaiting to call POST /v2.1/accounts/{accountId}/workspaces
completedNoYesYes—HTTP call succeeded
failedNoYesNo—HTTP call failed

State Diagram ​

Transitions ​

FromActionToDescription
pendingexecutecompletedPerform POST /v2.1/accounts/{accountId}/workspaces
* (any state)failfailedRecord the failure reason

API Usage ​

bash
POST /api/workflows/start
Content-Type: application/json

{
  "workflow_type": "docusign.workspaces.post-workspace",
  "initial_data": {
    "base_url": "value",
    "accountid": "value"
  }
}